Subject: bug#12669: 24.2.50; invalid function when starting erc

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Oct 2012 11:53:12 -0400

>> Indeed, 110553 uncovered this problem.  Should be fixed now, thank you.
> That's not enough, you have the same problem with
> erc-with-all-buffers-of-server.  Basically what the autoload of erc-log
> used to achieve was to load erc early enough so that the remaining macro
> uses are known to the byte compiler (and that autoload is useless now
> that erc-log isn't a macro any more).  Unfortunately there is a circular
> dependency between erc and erc-backend, so we cannot just require erc
> early.  When I try (eval-when-compile (provide 'erc-backend) (require
> 'erc)) I get a lot of "might not be defined at runtime" warnings, but
> all macros are expanded (including the erc-log defsubst).  Not sure
> what's the lesser poison.

I think I found an acceptable solution (taking your lesser poison and
removing the eval-when-compile).  It also fixes the "Eager
macro-expansion" warning.  Thanks,

        Stefan